%global pkgname zope-testing
%global modname zope.testing
%global summary Zope Testing Framework
%global _description \
This package provides a number of testing frameworks. It includes a \
flexible test runner, and supports both doctest and unittest.


Name:           python-%{pkgname}
Version:        4.1.2
Release:        2%{?dist}
Summary:        %{summary}
Group:          Development/Languages
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/%{modname}
Source0:        http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.zip
BuildArch:      noarch

# Python2
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-zope-exceptions
BuildRequires:  python-zope-interface
%{?python_provide:%python_provide python-%{pkgname}}
Requires:       python-zope-exceptions
Requires:       python-zope-interface

# Python3
BuildRequires: python3-pkgversion-macros
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-zope-exceptions
BuildRequires: python%{python3_pkgversion}-zope-interface
%if 0%{?with_python3_other}
BuildRequires: python%{python3_other_pkgversion}-devel
BuildRequires: python%{python3_other_pkgversion}-setuptools
BuildRequires: python%{python3_other_pkgversion}-zope-exceptions
BuildRequires: python%{python3_other_pkgversion}-zope-interface
%endif

%description %{_description}


# Python 3
%package -n python%{python3_pkgversion}-%{pkgname}
Summary: %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pkgname}}
Requires: python%{python3_pkgversion}-zope-exceptions
Requires: python%{python3_pkgversion}-zope-interface

%description -n python%{python3_pkgversion}-%{pkgname} %{_description}

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-%{pkgname}
Summary: %{summary}
%{?python_provide:%python_provide python%{python3_other_pkgversion}-%{pkgname}}
Requires: python%{python3_other_pkgversion}-zope-exceptions
Requires: python%{python3_other_pkgversion}-zope-interface

%description -n python%{python3_other_pkgversion}-%{pkgname} %{_description}
%endif


%prep
%setup -q -n %{modname}-%{version}

rm -rf %{modname}.egg-info


%build
%py2_build
%py3_build
%if 0%{?with_python3_other}
%py3_other_build
%endif


%install
%if 0%{?with_python3_other}
%py3_other_install
%endif
%py3_install
%py2_install

# __init__.py* are not needed since .pth file is used
rm -f %{buildroot}%{python2_sitelib}/zope/__init__.py*
rm -f %{buildroot}%{python3_sitelib}/zope/__init__.py*
rm -f %{buildroot}%{python3_other_sitelib}/zope/__init__.py*


%check
%{__python} setup.py test
%{__python3} setup.py test
%if 0%{?with_python3_other}
%{__python3_other} setup.py test
%endif


%files
%license LICENSE.txt COPYRIGHT.txt
%doc CHANGES.rst README.rst src/zope/testing/*.txt
# Co-own %%{python2_sitelib}/zope/
%dir %{python2_sitelib}/zope/
%{python2_sitelib}/zope/testing/
%exclude %{python2_sitelib}/zope/testing/*.txt
%{python2_sitelib}/%{modname}-*.egg-info
%{python2_sitelib}/%{modname}-*-nspkg.pth

# Python3
%files -n python%{python3_pkgversion}-%{pkgname}
%license LICENSE.txt COPYRIGHT.txt
%doc CHANGES.rst README.rst src/zope/testing/*.txt
# Co-own %%{python3_sitelib}/zope/
%dir %{python3_sitelib}/zope/
%{python3_sitelib}/zope/testing/
%exclude %{python3_sitelib}/zope/testing/*.txt
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-%{pkgname}
%license LICENSE.txt COPYRIGHT.txt
%doc CHANGES.rst README.rst src/zope/testing/*.txt
# Co-own %%{python3_other_sitelib}/zope/
%dir %{python3_other_sitelib}/zope/
%{python3_other_sitelib}/zope/testing/
%exclude %{python3_other_sitelib}/zope/testing/*.txt
%{python3_other_sitelib}/%{modname}-*.egg-info
%{python3_other_sitelib}/%{modname}-*-nspkg.pth
%endif


%changelog
* Tue Apr 25 2017 Aurelien Bompard <abompard@fedoraproject.org> - 4.1.2-2
- Build the Python3 version in EPEL.

* Mon Feb 25 2013 Ralph Bean <rbean@redhat.com> - 4.1.2-1
- Latest upstream.
- Enabled python3 tests in the check section.
- Updated the with_python3 conditional.
- README and CHANGES renamed from .txt to .rst.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 11 2012 Ralph Bean <rbean@redhat.com> - 4.1.1-1
- Latest upstream release.
- Packaged a python3 subpackage.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan  7 2012 Robin Lee <cheeselee@fedoraproject.org> - 3.10.3-1
- Update to 3.10.3 (ZTK 1.1.3)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.10.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan  3 2011 Robin Lee <cheeselee@fedoraproject.org> - 3.10.2-1
- Update to 3.10.2
- Move the documents to proper place
- Run the tests

* Tue Aug 31 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.10.0-2
- Requirement: python-zope-filesystem removed, python-zope-exceptions added
- Spec cleaned up

* Mon Aug 30 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.10.0-1
- Update to 3.10.0
- Rearrange documents

* Sat Jul 31 2010 David Malcolm <dmalcolm@redhat.com> - 3.9.5-5
- actually remove the requirement on python-zope-exceptions this time

* Fri Jul 30 2010 David Malcolm <dmalcolm@redhat.com> - 3.9.5-4
- add missing build-time requirement on python-setuptools

* Fri Jul 30 2010 David Malcolm <dmalcolm@redhat.com> - 3.9.5-3
- remove requirement on python-zope-exceptions for now (bug 619478)
- add missing zope-testrunner executable to %%files

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 3.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun 17 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.9.5-1
- Update to 3.9.5
- Rearrange documents
- Requires: python-zope-interface and python-zope-exceptions added

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jun 15 2009 Conrad Meyer <konrad@tylerc.org> - 3.7.3-3
- Actually fix file conflict with python-zope-filesystem.

* Sat Jun 13 2009 Conrad Meyer <konrad@tylerc.org> - 3.7.3-2
- Fix file conflict with python-zope-filesystem.

* Wed Apr 22 2009 Conrad Meyer <konrad@tylerc.org> - 3.7.3-1
- Bump to 3.7.3.

* Sun Dec 14 2008 Conrad Meyer <konrad@tylerc.org> - 3.7.1-1
- Initial package.
